Index: palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4541)
+++ palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 4542)
@@ -2272,6 +2215,6 @@
 
 !
-!--    If required, calculate prognostic equations for ice crystal mixing ratio
-!--    and ice crystal concentration
+!--    If required, calculate prognostic equations for ice crystal mixing ratio and ice crystal
+!--    concentration.
        IF ( microphysics_ice_phase )  THEN
 !
@@ -2281,10 +2224,10 @@
           THEN
              IF ( ws_scheme_sca )  THEN
-                CALL advec_s_ws( advc_flags_s, i, j, qi, 'qi', flux_s_qi,      &
-                                 diss_s_qi, flux_l_qi, diss_l_qi,              &
-                                 i_omp_start, tn,                              &
-                                 bc_dirichlet_l  .OR.  bc_radiation_l,         &
-                                 bc_dirichlet_n  .OR.  bc_radiation_n,         &
-                                 bc_dirichlet_r  .OR.  bc_radiation_r,         &
+                CALL advec_s_ws( advc_flags_s, i, j, qi, 'qi', flux_s_qi,                          &
+                                 diss_s_qi, flux_l_qi, diss_l_qi,                                  &
+                                 i_omp_start, tn,                                                  &
+                                 bc_dirichlet_l  .OR.  bc_radiation_l,                             &
+                                 bc_dirichlet_n  .OR.  bc_radiation_n,                             &
+                                 bc_dirichlet_r  .OR.  bc_radiation_r,                             &
                                  bc_dirichlet_s  .OR.  bc_radiation_s )
              ELSE
@@ -2294,13 +2237,13 @@
              CALL advec_s_up( i, j, qi )
           ENDIF
-          CALL diffusion_s( i, j, qi,                                   &
-                            surf_def_h(0)%qisws, surf_def_h(1)%qisws,   &
-                            surf_def_h(2)%qisws,                        &
-                            surf_lsm_h%qisws,    surf_usm_h%qisws,      &
-                            surf_def_v(0)%qisws, surf_def_v(1)%qisws,   &
-                            surf_def_v(2)%qisws, surf_def_v(3)%qisws,   &
-                            surf_lsm_v(0)%qisws, surf_lsm_v(1)%qisws,   &
-                            surf_lsm_v(2)%qisws, surf_lsm_v(3)%qisws,   &
-                            surf_usm_v(0)%qisws, surf_usm_v(1)%qisws,   &
+          CALL diffusion_s( i, j, qi,                                                              &
+                            surf_def_h(0)%qisws, surf_def_h(1)%qisws,                              &
+                            surf_def_h(2)%qisws,                                                   &
+                            surf_lsm_h%qisws,    surf_usm_h%qisws,                                 &
+                            surf_def_v(0)%qisws, surf_def_v(1)%qisws,                              &
+                            surf_def_v(2)%qisws, surf_def_v(3)%qisws,                              &
+                            surf_lsm_v(0)%qisws, surf_lsm_v(1)%qisws,                              &
+                            surf_lsm_v(2)%qisws, surf_lsm_v(3)%qisws,                              &
+                            surf_usm_v(0)%qisws, surf_usm_v(1)%qisws,                              &
                             surf_usm_v(2)%qisws, surf_usm_v(3)%qisws )
 
@@ -2308,12 +2251,11 @@
 !--       Prognostic equation for ice crystal mixing ratio
           DO  k = nzb+1, nzt
-             qi_p(k,j,i) = qi(k,j,i) + ( dt_3d *                         &
-                                                ( tsc(2) * tend(k,j,i) + &
-                                                  tsc(3) * tqi_m(k,j,i) )&
-                                                - tsc(5) * rdf_sc(k)     &
-                                                         * qi(k,j,i)     &
-                                       )                                 &
-                                 * MERGE( 1.0_wp, 0.0_wp,                &
-                                          BTEST( wall_flags_total_0(k,j,i), 0 )&
+             qi_p(k,j,i) = qi(k,j,i) + ( dt_3d *                                                   &
+                                                ( tsc(2) * tend(k,j,i) +                           &
+                                                  tsc(3) * tqi_m(k,j,i) )                          &
+                                                - tsc(5) * rdf_sc(k)                               &
+                                                         * qi(k,j,i)                               &
+                                       )                                                           &
+                                 * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 )    &
                                         )
              IF ( qi_p(k,j,i) < 0.0_wp )  qi_p(k,j,i) = 0.0_wp
@@ -2329,6 +2271,5 @@
                       intermediate_timestep_count_max )  THEN
                 DO  k = nzb+1, nzt
-                   tqi_m(k,j,i) =   -9.5625_wp * tend(k,j,i) +           &
-                                     5.3125_wp * tqi_m(k,j,i)
+                   tqi_m(k,j,i) =   -9.5625_wp * tend(k,j,i) + 5.3125_wp * tqi_m(k,j,i)
                 ENDDO
              ENDIF
@@ -2340,10 +2281,10 @@
           IF ( timestep_scheme(1:5) == 'runge' )  THEN
              IF ( ws_scheme_sca )  THEN
-                CALL advec_s_ws( advc_flags_s, i, j, ni, 'ni', flux_s_ni,      &
-                                 diss_s_ni, flux_l_ni, diss_l_ni,              &
-                                 i_omp_start, tn,                              &
-                                 bc_dirichlet_l  .OR.  bc_radiation_l,         &
-                                 bc_dirichlet_n  .OR.  bc_radiation_n,         &
-                                 bc_dirichlet_r  .OR.  bc_radiation_r,         &
+                CALL advec_s_ws( advc_flags_s, i, j, ni, 'ni', flux_s_ni,                          &
+                                 diss_s_ni, flux_l_ni, diss_l_ni,                                  &
+                                 i_omp_start, tn,                                                  &
+                                 bc_dirichlet_l  .OR.  bc_radiation_l,                             &
+                                 bc_dirichlet_n  .OR.  bc_radiation_n,                             &
+                                 bc_dirichlet_r  .OR.  bc_radiation_r,                             &
                                  bc_dirichlet_s  .OR.  bc_radiation_s )
              ELSE
@@ -2353,13 +2294,13 @@
              CALL advec_s_up( i, j, ni )
           ENDIF
-          CALL diffusion_s( i, j, ni,                                    &
-                            surf_def_h(0)%nisws, surf_def_h(1)%nisws,    &
-                            surf_def_h(2)%nisws,                         &
-                            surf_lsm_h%nisws,    surf_usm_h%nisws,       &
-                            surf_def_v(0)%nisws, surf_def_v(1)%nisws,    &
-                            surf_def_v(2)%nisws, surf_def_v(3)%nisws,    &
-                            surf_lsm_v(0)%nisws, surf_lsm_v(1)%nisws,    &
-                            surf_lsm_v(2)%nisws, surf_lsm_v(3)%nisws,    &
-                            surf_usm_v(0)%nisws, surf_usm_v(1)%nisws,    &
+          CALL diffusion_s( i, j, ni,                                                              &
+                            surf_def_h(0)%nisws, surf_def_h(1)%nisws,                              &
+                            surf_def_h(2)%nisws,                                                   &
+                            surf_lsm_h%nisws,    surf_usm_h%nisws,                                 &
+                            surf_def_v(0)%nisws, surf_def_v(1)%nisws,                              &
+                            surf_def_v(2)%nisws, surf_def_v(3)%nisws,                              &
+                            surf_lsm_v(0)%nisws, surf_lsm_v(1)%nisws,                              &
+                            surf_lsm_v(2)%nisws, surf_lsm_v(3)%nisws,                              &
+                            surf_usm_v(0)%nisws, surf_usm_v(1)%nisws,                              &
                             surf_usm_v(2)%nisws, surf_usm_v(3)%nisws )
 
@@ -2367,12 +2308,11 @@
 !--       Prognostic equation for ice crystal concentration
           DO  k = nzb+1, nzt
-             ni_p(k,j,i) = ni(k,j,i) + ( dt_3d *                         &
-                                                ( tsc(2) * tend(k,j,i) + &
-                                                  tsc(3) * tni_m(k,j,i) )&
-                                                - tsc(5) * rdf_sc(k)     &
-                                                         * ni(k,j,i)     &
-                                       )                                 &
-                                 * MERGE( 1.0_wp, 0.0_wp,                &
-                                          BTEST( wall_flags_total_0(k,j,i), 0 )&
+             ni_p(k,j,i) = ni(k,j,i) + ( dt_3d *                                                   &
+                                                ( tsc(2) * tend(k,j,i) +                           &
+                                                  tsc(3) * tni_m(k,j,i) )                          &
+                                                - tsc(5) * rdf_sc(k)                               &
+                                                         * ni(k,j,i)                               &
+                                       )                                                           &
+                                 * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 )    &
                                         )
              IF ( ni_p(k,j,i) < 0.0_wp )  ni_p(k,j,i) = 0.0_wp
@@ -2388,6 +2328,5 @@
                       intermediate_timestep_count_max )  THEN
                 DO  k = nzb+1, nzt
-                   tni_m(k,j,i) =   -9.5625_wp * tend(k,j,i) +           &
-                                     5.3125_wp * tni_m(k,j,i)
+                   tni_m(k,j,i) =   -9.5625_wp * tend(k,j,i) + 5.3125_wp * tni_m(k,j,i)
                 ENDDO
              ENDIF
@@ -2397,19 +2336,19 @@
 
 !
-!--    If required, calculate prognostic equations for rain water content
-!--    and rain drop concentration
+!--    If required, calculate prognostic equations for rain water content and rain drop
+!--    concentration
        IF ( microphysics_seifert )  THEN
 !
-!--             Calculate prognostic equation for rain water content
+!--       Calculate prognostic equation for rain water content
           tend(:,j,i) = 0.0_wp
           IF ( timestep_scheme(1:5) == 'runge' ) &
           THEN
              IF ( ws_scheme_sca )  THEN
-                CALL advec_s_ws( advc_flags_s, i, j, qr, 'qr', flux_s_qr,      &
-                                 diss_s_qr, flux_l_qr, diss_l_qr,              &
-                                 i_omp_start, tn,                              &
-                                 bc_dirichlet_l  .OR.  bc_radiation_l,         &
-                                 bc_dirichlet_n  .OR.  bc_radiation_n,         &
-                                 bc_dirichlet_r  .OR.  bc_radiation_r,         &
+                CALL advec_s_ws( advc_flags_s, i, j, qr, 'qr', flux_s_qr,                          &
+                                 diss_s_qr, flux_l_qr, diss_l_qr,                                  &
+                                 i_omp_start, tn,                                                  &
+                                 bc_dirichlet_l  .OR.  bc_radiation_l,                             &
+                                 bc_dirichlet_n  .OR.  bc_radiation_n,                             &
+                                 bc_dirichlet_r  .OR.  bc_radiation_r,                             &
                                  bc_dirichlet_s  .OR.  bc_radiation_s )
              ELSE
@@ -2419,13 +2358,13 @@
              CALL advec_s_up( i, j, qr )
           ENDIF
-          CALL diffusion_s( i, j, qr,                                   &
-                            surf_def_h(0)%qrsws, surf_def_h(1)%qrsws,   &
-                            surf_def_h(2)%qrsws,                        &
-                            surf_lsm_h%qrsws,    surf_usm_h%qrsws,      &
-                            surf_def_v(0)%qrsws, surf_def_v(1)%qrsws,   &
-                            surf_def_v(2)%qrsws, surf_def_v(3)%qrsws,   &
-                            surf_lsm_v(0)%qrsws, surf_lsm_v(1)%qrsws,   &
-                            surf_lsm_v(2)%qrsws, surf_lsm_v(3)%qrsws,   &
-                            surf_usm_v(0)%qrsws, surf_usm_v(1)%qrsws,   &
+          CALL diffusion_s( i, j, qr,                                                              &
+                            surf_def_h(0)%qrsws, surf_def_h(1)%qrsws,                              &
+                            surf_def_h(2)%qrsws,                                                   &
+                            surf_lsm_h%qrsws,    surf_usm_h%qrsws,                                 &
+                            surf_def_v(0)%qrsws, surf_def_v(1)%qrsws,                              &
+                            surf_def_v(2)%qrsws, surf_def_v(3)%qrsws,                              &
+                            surf_lsm_v(0)%qrsws, surf_lsm_v(1)%qrsws,                              &
+                            surf_lsm_v(2)%qrsws, surf_lsm_v(3)%qrsws,                              &
+                            surf_usm_v(0)%qrsws, surf_usm_v(1)%qrsws,                              &
                             surf_usm_v(2)%qrsws, surf_usm_v(3)%qrsws )
 
@@ -2433,12 +2372,11 @@
 !--       Prognostic equation for rain water content
           DO  k = nzb+1, nzt
-             qr_p(k,j,i) = qr(k,j,i) + ( dt_3d *                         &
-                                                ( tsc(2) * tend(k,j,i) + &
-                                                  tsc(3) * tqr_m(k,j,i) )&
-                                                - tsc(5) * rdf_sc(k)     &
-                                                         * qr(k,j,i)     &
-                                       )                                 &
-                                 * MERGE( 1.0_wp, 0.0_wp,                &
-                                          BTEST( wall_flags_total_0(k,j,i), 0 )&
+             qr_p(k,j,i) = qr(k,j,i) + ( dt_3d *                                                   &
+                                                ( tsc(2) * tend(k,j,i) +                           &
+                                                  tsc(3) * tqr_m(k,j,i) )                          &
+                                                - tsc(5) * rdf_sc(k)                               &
+                                                         * qr(k,j,i)                               &
+                                       )                                                           &
+                                 * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 )    &
                                         )
              IF ( qr_p(k,j,i) < 0.0_wp )  qr_p(k,j,i) = 0.0_wp
@@ -2454,6 +2392,5 @@
                       intermediate_timestep_count_max )  THEN
                 DO  k = nzb+1, nzt
-                   tqr_m(k,j,i) =   -9.5625_wp * tend(k,j,i) +           &
-                                     5.3125_wp * tqr_m(k,j,i)
+                   tqr_m(k,j,i) =   -9.5625_wp * tend(k,j,i) + 5.3125_wp * tqr_m(k,j,i)
                 ENDDO
              ENDIF
@@ -2465,10 +2402,10 @@
           IF ( timestep_scheme(1:5) == 'runge' )  THEN
              IF ( ws_scheme_sca )  THEN
-                CALL advec_s_ws( advc_flags_s, i, j, nr, 'nr', flux_s_nr,      &
-                                 diss_s_nr, flux_l_nr, diss_l_nr,              &
-                                 i_omp_start, tn,                              &
-                                 bc_dirichlet_l  .OR.  bc_radiation_l,         &
-                                 bc_dirichlet_n  .OR.  bc_radiation_n,         &
-                                 bc_dirichlet_r  .OR.  bc_radiation_r,         &
+                CALL advec_s_ws( advc_flags_s, i, j, nr, 'nr', flux_s_nr,                          &
+                                 diss_s_nr, flux_l_nr, diss_l_nr,                                  &
+                                 i_omp_start, tn,                                                  &
+                                 bc_dirichlet_l  .OR.  bc_radiation_l,                             &
+                                 bc_dirichlet_n  .OR.  bc_radiation_n,                             &
+                                 bc_dirichlet_r  .OR.  bc_radiation_r,                             &
                                  bc_dirichlet_s  .OR.  bc_radiation_s )
              ELSE
@@ -2478,13 +2415,13 @@
              CALL advec_s_up( i, j, nr )
           ENDIF
-          CALL diffusion_s( i, j, nr,                                    &
-                            surf_def_h(0)%nrsws, surf_def_h(1)%nrsws,    &
-                            surf_def_h(2)%nrsws,                         &
-                            surf_lsm_h%nrsws,    surf_usm_h%nrsws,       &
-                            surf_def_v(0)%nrsws, surf_def_v(1)%nrsws,    &
-                            surf_def_v(2)%nrsws, surf_def_v(3)%nrsws,    &
-                            surf_lsm_v(0)%nrsws, surf_lsm_v(1)%nrsws,    &
-                            surf_lsm_v(2)%nrsws, surf_lsm_v(3)%nrsws,    &
-                            surf_usm_v(0)%nrsws, surf_usm_v(1)%nrsws,    &
+          CALL diffusion_s( i, j, nr,                                                              &
+                            surf_def_h(0)%nrsws, surf_def_h(1)%nrsws,                              &
+                            surf_def_h(2)%nrsws,                                                   &
+                            surf_lsm_h%nrsws,    surf_usm_h%nrsws,                                 &
+                            surf_def_v(0)%nrsws, surf_def_v(1)%nrsws,                              &
+                            surf_def_v(2)%nrsws, surf_def_v(3)%nrsws,                              &
+                            surf_lsm_v(0)%nrsws, surf_lsm_v(1)%nrsws,                              &
+                            surf_lsm_v(2)%nrsws, surf_lsm_v(3)%nrsws,                              &
+                            surf_usm_v(0)%nrsws, surf_usm_v(1)%nrsws,                              &
                             surf_usm_v(2)%nrsws, surf_usm_v(3)%nrsws )
 
@@ -2492,12 +2429,11 @@
 !--       Prognostic equation for rain drop concentration
           DO  k = nzb+1, nzt
-             nr_p(k,j,i) = nr(k,j,i) + ( dt_3d *                         &
-                                                ( tsc(2) * tend(k,j,i) + &
-                                                  tsc(3) * tnr_m(k,j,i) )&
-                                                - tsc(5) * rdf_sc(k)     &
-                                                         * nr(k,j,i)     &
-                                       )                                 &
-                                 * MERGE( 1.0_wp, 0.0_wp,                &
-                                          BTEST( wall_flags_total_0(k,j,i), 0 )&
+             nr_p(k,j,i) = nr(k,j,i) + ( dt_3d *                                                   &
+                                                ( tsc(2) * tend(k,j,i) +                           &
+                                                  tsc(3) * tnr_m(k,j,i) )                          &
+                                                - tsc(5) * rdf_sc(k)                               &
+                                                         * nr(k,j,i)                               &
+                                       )                                                           &
+                                 * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 )    &
                                         )
              IF ( nr_p(k,j,i) < 0.0_wp )  nr_p(k,j,i) = 0.0_wp
@@ -2513,6 +2449,5 @@
                       intermediate_timestep_count_max )  THEN
                 DO  k = nzb+1, nzt
-                   tnr_m(k,j,i) =   -9.5625_wp * tend(k,j,i) +           &
-                                     5.3125_wp * tnr_m(k,j,i)
+                   tnr_m(k,j,i) =   -9.5625_wp * tend(k,j,i) + 5.3125_wp * tnr_m(k,j,i)
                 ENDDO
              ENDIF
@@ -2524,9 +2459,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Swapping of timelevels
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_swap_timelevel ( mod_count )
 
@@ -2577,7 +2512,7 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description: Boundary conditions of the bulk cloud module variables
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_boundary_conditions
 
@@ -2592,8 +2527,8 @@
        IF ( microphysics_morrison )  THEN
 !
-!--       Surface conditions cloud water (Dirichlet)
-!--       Run loop over all non-natural and natural walls. Note, in wall-datatype
-!--       the k coordinate belongs to the atmospheric grid point, therefore, set
-!--       qr_p and nr_p at upward (k-1) and downward-facing (k+1) walls
+!--       Surface conditions cloud water (Dirichlet).
+!--       Run loop over all non-natural and natural walls. Note, in wall-datatype the k coordinate
+!--       belongs to the atmospheric grid point, therefore, set qr_p and nr_p at upward (k-1) and
+!--       downward-facing (k+1) walls.
           DO  l = 0, 1
           !$OMP PARALLEL DO PRIVATE( i, j, k )
@@ -2615,8 +2550,8 @@
        IF ( microphysics_ice_phase )  THEN
 !
-!--       Surface conditions ice crysral (Dirichlet)
-!--       Run loop over all non-natural and natural walls. Note, in wall-datatype
-!--       the k coordinate belongs to the atmospheric grid point, therefore, set
-!--       qr_p and nr_p at upward (k-1) and downward-facing (k+1) walls
+!--       Surface conditions ice crysral (Dirichlet).
+!--       Run loop over all non-natural and natural walls. Note, in wall-datatype the k coordinate
+!--       belongs to the atmospheric grid point, therefore, set qr_p and nr_p at upward (k-1) and
+!--       downward-facing (k+1) walls
           DO  l = 0, 1
           !$OMP PARALLEL DO PRIVATE( i, j, k )
@@ -2639,8 +2574,8 @@
        IF ( microphysics_seifert )  THEN
 !
-!--       Surface conditions rain water (Dirichlet)
-!--       Run loop over all non-natural and natural walls. Note, in wall-datatype
-!--       the k coordinate belongs to the atmospheric grid point, therefore, set
-!--       qr_p and nr_p at upward (k-1) and downward-facing (k+1) walls
+!--       Surface conditions rain water (Dirichlet).
+!--       Run loop over all non-natural and natural walls. Note, in wall-datatype the k coordinate
+!--       belongs to the atmospheric grid point, therefore, set qr_p and nr_p at upward (k-1) and
+!--       downward-facing (k+1) walls
           DO  l = 0, 1
           !$OMP PARALLEL DO PRIVATE( i, j, k )
@@ -2662,6 +2597,5 @@
 !
 !--    Lateral boundary conditions for scalar quantities at the outflow.
-!--    Lateral oundary conditions for TKE and dissipation are set
-!--    in tcm_boundary_conds.
+!--    Lateral oundary conditions for TKE and dissipation are set in tcm_boundary_conds.
        IF ( bc_radiation_s )  THEN
           IF ( microphysics_morrison )  THEN
@@ -2720,13 +2654,13 @@
     END SUBROUTINE bcm_boundary_conditions
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Description:
 ! ------------
 !> Subroutine for averaging 3D data
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
     SUBROUTINE bcm_3d_data_averaging( mode, variable )
 
-       USE control_parameters,                                                 &
+       USE control_parameters,                                                                     &
            ONLY:  average_count_3d
 
@@ -2790,5 +2724,5 @@
 
              CASE ( 'nc' )
-                IF ( ALLOCATED( nc_av ) ) THEN
+                IF ( ALLOCATED( nc_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
@@ -2801,5 +2735,5 @@
 
              CASE ( 'nr' )
-                IF ( ALLOCATED( nr_av ) ) THEN
+                IF ( ALLOCATED( nr_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
@@ -2812,5 +2746,5 @@
 
              CASE ( 'prr' )
-                IF ( ALLOCATED( prr_av ) ) THEN
+                IF ( ALLOCATED( prr_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
@@ -2823,5 +2757,5 @@
 
              CASE ( 'qc' )
-                IF ( ALLOCATED( qc_av ) ) THEN
+                IF ( ALLOCATED( qc_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
@@ -2834,5 +2768,5 @@
 
              CASE ( 'ql' )
-                IF ( ALLOCATED( ql_av ) ) THEN
+                IF ( ALLOCATED( ql_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
@@ -2845,5 +2779,5 @@
 
              CASE ( 'qr' )
-                IF ( ALLOCATED( qr_av ) ) THEN
+                IF ( ALLOCATED( qr_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
@@ -2865,9 +2799,9 @@
 
              CASE ( 'nc' )
-                IF ( ALLOCATED( nc_av ) ) THEN
+                IF ( ALLOCATED( nc_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
                          DO  k = nzb, nzt+1
-                            nc_av(k,j,i) = nc_av(k,j,i) / REAL( average_count_3d, KIND=wp )
+                            nc_av(k,j,i) = nc_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                          ENDDO
                       ENDDO
@@ -2876,9 +2810,9 @@
 
              CASE ( 'nr' )
-                IF ( ALLOCATED( nr_av ) ) THEN
+                IF ( ALLOCATED( nr_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
                          DO  k = nzb, nzt+1
-                            nr_av(k,j,i) = nr_av(k,j,i) / REAL( average_count_3d, KIND=wp )
+                            nr_av(k,j,i) = nr_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                          ENDDO
                       ENDDO
@@ -2887,9 +2821,9 @@
 
              CASE ( 'prr' )
-                IF ( ALLOCATED( prr_av ) ) THEN
+                IF ( ALLOCATED( prr_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
                          DO  k = nzb, nzt+1
-                            prr_av(k,j,i) = prr_av(k,j,i) / REAL( average_count_3d, KIND=wp )
+                            prr_av(k,j,i) = prr_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                          ENDDO
                       ENDDO
@@ -2898,9 +2832,9 @@
 
              CASE ( 'qc' )
-                IF ( ALLOCATED( qc_av ) ) THEN
+                IF ( ALLOCATED( qc_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
                          DO  k = nzb, nzt+1
-                            qc_av(k,j,i) = qc_av(k,j,i) / REAL( average_count_3d, KIND=wp )
+                            qc_av(k,j,i) = qc_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                          ENDDO
                       ENDDO
@@ -2909,9 +2843,9 @@
 
              CASE ( 'ql' )
-                IF ( ALLOCATED( ql_av ) ) THEN
+                IF ( ALLOCATED( ql_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
                          DO  k = nzb, nzt+1
-                            ql_av(k,j,i) = ql_av(k,j,i) / REAL( average_count_3d, KIND=wp )
+                            ql_av(k,j,i) = ql_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                          ENDDO
                       ENDDO
@@ -2920,9 +2854,9 @@
 
              CASE ( 'qr' )
-                IF ( ALLOCATED( qr_av ) ) THEN
+                IF ( ALLOCATED( qr_av ) )  THEN
                    DO  i = nxlg, nxrg
                       DO  j = nysg, nyng
                          DO  k = nzb, nzt+1
-                            qr_av(k,j,i) = qr_av(k,j,i) / REAL( average_count_3d, KIND=wp )
+                            qr_av(k,j,i) = qr_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                          ENDDO
                       ENDDO
@@ -2940,11 +2874,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Define 2D output variables.
-!------------------------------------------------------------------------------!
- SUBROUTINE bcm_data_output_2d( av, variable, found, grid, mode, local_pf,     &
-                                two_d, nzb_do, nzt_do )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE bcm_data_output_2d( av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do )
 
 
@@ -2952,6 +2885,6 @@
 
     CHARACTER (LEN=*), INTENT(INOUT) ::  grid       !< name of vertical grid
-    CHARACTER (LEN=*), INTENT(IN) ::  mode       !< either 'xy', 'xz' or 'yz'
-    CHARACTER (LEN=*), INTENT(IN) ::  variable   !< name of variable
+    CHARACTER (LEN=*), INTENT(IN)    ::  mode       !< either 'xy', 'xz' or 'yz'
+    CHARACTER (LEN=*), INTENT(IN)    ::  variable   !< name of variable
 
     INTEGER(iwp), INTENT(IN) ::  av        !< flag for (non-)average output
